Skip to main content
GET
/
api-cart
/
bill-to
/
ship-to
/
{shipToId}
Get bill-to by shipToId [Deprecated]
curl --request GET \
  --url https://prod01-apigw.{customer_name}.fabric.zone/api-cart/bill-to/ship-to/{shipToId}
{
  "shipMethod": {
    "shipMethodId": "1a2b3c4d5e6f7g8h9i0j",
    "shipmentCarrier": "Fedex",
    "shipmentMethod": "Next Day"
  },
  "billTo": [
    {
      "paymentMethod": "Visa Credit",
      "cardIdentifier": "1234",
      "amount": 149.99,
      "billToId": 1,
      "cart": "5e5818a84d030c206b2ffb02",
      "_id": "5fee9d59f2f08a1b3cbdea08",
      "createdAt": "2020-12-31T02:09:53.914Z",
      "updatedAt": "2020-12-31T02:09:53.914Z",
      "__v": 0
    }
  ],
  "shipToType": "SHIP_TO_ADDRESS",
  "taxCode": "FR1000",
  "shipToId": 1,
  "__v": 0,
  "cartId": "5e5818a84d030c206b2ffb02",
  "_id": "5fee9d59f2f08a1b3cbdea08",
  "createdAt": "2020-12-31T02:09:53.914Z",
  "updatedAt": "2020-12-31T02:09:53.914Z"
}

Path Parameters

shipToId
string
required
Required string length: 24
Example:

"5e5818a84d030c206b2ffb02"

Response

Getting Bill To By ID

shipMethod
object
address
object
billTo
object[]
shipToType
enum<string>
Available options:
BOPIS,
SHIP_TO_STORE,
SHIP_TO_ADDRESS,
STORE_PICKUP
Example:

"SHIP_TO_ADDRESS"

taxCode
string
Example:

"FR1000"

shipToId
number
Example:

1

__v
number
Example:

0

cartId
string
Required string length: 24
Example:

"5e5818a84d030c206b2ffb02"

_id
string
Example:

"5fee9d59f2f08a1b3cbdea08"

createdAt
string
Example:

"2020-12-31T02:09:53.914Z"

updatedAt
string
Example:

"2020-12-31T02:09:53.914Z"